Summary: 	KGesture is a gesture recognition
Name:   	kgesture
Version: 	0.3
Release: 	4mdk

Source0: 	%{name}-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
Requires:	libstroke0
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:	rpm-build


%description
KGesture is a gesture recognition application for KDE2. KGesture uses libstroke
to recognize definable gestures, then run an associated command. Using KDE's 
DCOP interface, KGesture can interact with applications already running, or 
launch new applications.

%prep

%setup  -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2\
		    --disable-rpath \
		    --disable-debug \
	            --enable-final

%install
make install prefix=%buildroot/%_prefix



install -d %buildroot/%_menudir

cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/kgesture -caption %c %i %m"\
title="Kgesture"\
icon="applications_section.xpm"\
longtitle="KGesture is a gesture recognition"\
needs="kde"\
section="Applications/Accessibility"
EOF


%find_lang %{name} 

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
#
%dir %_docdir/HTML/en/kgesture/
%doc %_docdir/HTML/en/kgesture/*.docbook
%doc %_docdir/HTML/en/kgesture/common
#

%_bindir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*
#
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/22x22/
%dir %_iconsdir/locolor/22x22/apps/
%_iconsdir/locolor/22x22/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
%_menudir/*  


%changelog
* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-4mdk
- Fix icon

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-3mdk
- Rebuild 

* Sat Jun 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- fix menu entry

* Tue Jun 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-1mdk
- updated code (0.3)

* Mon May 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-2mdk
- Fix description

* Fri May 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- initial package

